Bug 1482136 - CFME OpenStack provider missing options to set VLAN or Segmentation ID
Summary: CFME OpenStack provider missing options to set VLAN or Segmentation ID
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.8.2
Assignee: Gilles Dubreuil
QA Contact: Oleksandr Kolisnyk
URL:
Whiteboard: openstack
Depends On: 1481696
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-16 14:25 UTC by Satoe Imaishi
Modified: 2017-10-24 00:39 UTC (History)
5 users (show)

Fixed In Version: 5.8.2.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1481696
Environment:
Last Closed: 2017-10-24 00:39:41 UTC
Category: ---
Cloudforms Team: Openstack
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3005 normal SHIPPED_LIVE Important: Red Hat CloudForms security, bug fix, and enhancement update 2017-10-24 04:15:49 UTC

Comment 2 CFME Bot 2017-08-17 20:28:42 UTC
New commit detected on ManageIQ/manageiq-ui-classic/fine:
https://github.com/ManageIQ/manageiq-ui-classic/commit/3ff4d6cccc2ea0e41deb084aa562ca23fb2690ce

commit 3ff4d6cccc2ea0e41deb084aa562ca23fb2690ce
Author:     Milan Zázrivec <mzazrivec@redhat.com>
AuthorDate: Thu Apr 27 11:50:38 2017 +0200
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu Aug 17 16:24:43 2017 -0400

    Merge pull request #1161 from gildub/network_provider-cloud_network_use_api
    
    Network provider: Cloud networks use API
    (cherry picked from commit f8ea99478cd07c1d3d09be82322df4973da44acf)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1482136

 .../cloud_network/cloud_network_form_controller.js | 37 +++++++++-------------
 app/controllers/cloud_network_controller.rb        | 17 ----------
 config/routes.rb                                   |  1 -
 3 files changed, 15 insertions(+), 40 deletions(-)

Comment 3 CFME Bot 2017-08-17 20:28:47 UTC
New commit detected on ManageIQ/manageiq-ui-classic/fine:
https://github.com/ManageIQ/manageiq-ui-classic/commit/71cf5859a86a756d761cbdd4a62e51cc1529ad35

commit 71cf5859a86a756d761cbdd4a62e51cc1529ad35
Author:     Martin Hradil <himdel@seznam.cz>
AuthorDate: Tue Aug 15 10:10:59 2017 +0000
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu Aug 17 16:25:17 2017 -0400

    Merge pull request #1516 from gildub/Cloud_Networks-use_this
    
    Cloud Network: Javascript not using  $scope
    (cherry picked from commit 3208f875a87d25378bd0413dddee8b4eca37fcc3)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1482136

 .../cloud_network/cloud_network_form_controller.js | 98 ++++++++++++----------
 app/views/cloud_network/_common_new_edit.html.haml | 22 +++--
 app/views/cloud_network/edit.html.haml             | 59 ++++++++-----
 app/views/cloud_network/new.html.haml              | 72 +++++++++-------
 4 files changed, 144 insertions(+), 107 deletions(-)

Comment 4 CFME Bot 2017-08-17 20:33:37 UTC
New commit detected on ManageIQ/manageiq-ui-classic/fine:
https://github.com/ManageIQ/manageiq-ui-classic/commit/6eb3e26842a511f911652434fefdcb0ac8431229

commit 6eb3e26842a511f911652434fefdcb0ac8431229
Author:     Milan Zázrivec <mzazrivec@redhat.com>
AuthorDate: Wed Aug 16 12:00:46 2017 +0200
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu Aug 17 16:28:55 2017 -0400

    Merge pull request #1862 from gildub/network_provider_fields
    
    Network provider fields
    (cherry picked from commit f24b0ba99f45a9795744ad1fe698b07bd74d991f)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1482136

 .../cloud_network/cloud_network_form_controller.js  | 10 ++--------
 app/controllers/cloud_network_controller.rb         |  7 +++----
 app/views/cloud_network/new.html.haml               | 21 +++++++++++++++++----
 3 files changed, 22 insertions(+), 16 deletions(-)

Comment 5 CFME Bot 2017-08-23 19:43:19 UTC
New commit detected on ManageIQ/manageiq-ui-classic/fine:
https://github.com/ManageIQ/manageiq-ui-classic/commit/5d782b3b85c3c46316bbee126ffe80e9a02393df

commit 5d782b3b85c3c46316bbee126ffe80e9a02393df
Author:     Milan Zázrivec <mzazrivec@redhat.com>
AuthorDate: Mon Aug 21 09:53:04 2017 +0200
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Wed Aug 23 15:19:00 2017 -0400

    Merge pull request #1955 from gildub/cloud_network-common_new_edit
    
    cloud network: consolidate new and edit
    (cherry picked from commit a7a5118486012c55cfc2e8f35b03169026656486)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1482136

 .../cloud_network/cloud_network_form_controller.js | 12 +++-
 app/controllers/cloud_network_controller.rb        | 14 ++--
 app/views/cloud_network/_common_new_edit.html.haml | 77 +++++++++++++++++++++
 app/views/cloud_network/change.html.haml           | 16 +++++
 app/views/cloud_network/edit.html.haml             | 54 ---------------
 app/views/cloud_network/new.html.haml              | 79 ----------------------
 6 files changed, 106 insertions(+), 146 deletions(-)
 create mode 100644 app/views/cloud_network/change.html.haml
 delete mode 100644 app/views/cloud_network/edit.html.haml
 delete mode 100644 app/views/cloud_network/new.html.haml

Comment 7 errata-xmlrpc 2017-10-24 00:39:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3005


Note You need to log in before you can comment on or make changes to this bug.